Category: Wiki Estimated time: 0.00 hour
Target version:

Resolution:

Description

We are trying to document our software project requirements and test cases in the project wiki. The simple reason is to allow multiple
people to create and fix the items as we go along. To help, | have built some templates that can be used to make sure that we
capture the data in a consistent format. We then just create issues to test the cases referencing the wiki pages. Works slick.

Since | have the formats, the only way | see that | can copy it to a new page is to cut and paste it into the new page. | would be

simpler if | had an "include", "copy from" or some similar function.

| am aware that has changes occur to the format the old pages will not reflect the changes, but then neither do the paper versions |
am doing currently.

History

#1 - 2010-12-31 00:42 - Chad Heuschober

+1 to this. Much like duplicating an issue, duplicating a wiki template (with retention of the parent!) would be a fantastic help.

We could use this for our pain points (user stories), and the individuals who design these are not usually technically adept enough to build link to
another wiki page much-less the steps required edit the template, copy the contents, return to the pain points page, create a link to a new pain point,
click the link to edit the new pain point, and paste the template contents.

If it were possible to duplicate the template (and inherit the same parent), | could direct users to duplicate the template, give it a new name, and
simply use child_pages to generate my list of known pain points.

#2 - 2011-03-24 08:38 - Toshi MARUYAMA
- Category set to Wiki

#3 - 2011-05-30 18:58 - Ivan Cenov

What if the templates have files and pictures attached? Should the copies share same files (these in the templates) or they have to be duplicated too?

#4 - 2011-05-30 22:07 - Terence Mill

include
Include a wiki page. Example:

Error executing the include macro (Page not found)
#5 - 2011-05-30 22:08 - Terence Mill
Terence Mill wrote:

include

Include a wiki page. Example:

!'{{include (Foo) }}

#6 - 2011-06-07 07:23 - Jos Accapadi

The include won't be exactly what people need as that means any changes to that affect changes to anything the include is in, which is sometimes
opposite of what people need.

Simplest case:
| have an example template that | want everyone to use that says -

2025-07-12 1/3




Version 1.0.0

® Requirements
e Deployment
¢ QA Checklist

Version 1.0.1

¢ Requirements
e Deployment

Version 2.0.0

* Requirements
¢ Deployment
* QA Checklist

| would like them to just copy this template without having to go into the code, cut and paste into the new project, since version numbers may vary
from project to project (which means that an include wouldn't work). A copy from project:wikipage would be nice here.

includes have their use case, but this is a different use case. Project managers run into this often with word documents being slightly modified from
project to project.

#7 - 2011-06-07 07:47 - Jos Accapadi

In some way it is like the Duplicate function on an issue, except you can specify the target project wiki (come to think of it, duplicate on an issue and
specifying a target project would be nice as well).

#8 - 2012-02-27 14:47 - Tomasz Sawicki

+1
Additional option for copying with child pages would be also nice...

#9 - 2012-08-28 10:26 - Jani Mahoénen

+1

#10 - 2012-12-20 10:13 - David Rahusen

+1

#11 - 2013-03-25 19:05 - Arthur Zalevsky

we use wiki for educational courses which differs just in some details, so this feature would save much time, so +1

#12 - 2013-09-27 11:24 - José Roberto Garcia Chico

+1 for this feature: duplicate a wiki page and its children pages

#13 - 2014-05-28 10:32 - sebastien lemaitre

+1 for reuse a wiki page with attachments

#14 - 2017-08-03 12:03 - Mischa Mundwiler

+1 - we use wiki pages for meeting minutes and a copy function of a predefined template would be awesome!

#15 - 2018-01-23 12:07 - Stefan Lindner

+1 would be very useful

#16 - 2021-08-25 16:06 - Thierry CRESSON

+1 short up for this feature :D

#17 - 2023-07-20 08:09 - Takenori TAKAKI
- File 1330-copy-wiki-page.patch added

| attach the patch that allows copying of wiki page content, attached files, and optionally the parent wiki page (within the same project).
It doesn't support copying of child wiki page avoid functional complexity.
| hope this feature will be helpful to many Redmine users.

#18 - 2023-08-17 06:35 - Mizuki ISHIKAWA
+1
The #note-17 patch was tried and worked fine.

#19 - 2023-09-14 03:20 - Takenori TAKAKI
Mizuki ISHIKAWA wrote in #note-18:
+1

The #note-17 patch was tried and worked fine.

Thanks for testing my patch and sharing your feedback!. Your support is invaluable!

#20 - 2023-09-14 04:42 - Takenori TAKAKI
- File 1330-copy-wiki-page-with-childs.patch added
- File copy_wiki_page_with_child_pages.gif added

| attach the patch that allows for optional copying of child pages. When the "Copy child pages" option is selected, the copied child page title will
automatically be appended with a suffix like "_1".

copy_wiki_page_with_child_pages.qgif
#21 - 2023-09-21 10:54-C S
Takenori TAKAKI wrote in #note-20:

| attach the patch that allows for optional copying of child pages. When the "Copy child pages" option is selected, the copied child page title will
automatically be appended with a suffix like "_1".

copy_wiki_page_with_child_pages.gif

Looks great! +1

Files

1330-copy-wiki-page.patch 11.9 KB 2023-07-20 Takenori TAKAKI
1330-copy-wiki-page-with-childs.patch 20.4 KB 2023-09-14 Takenori TAKAKI
copy_wiki_page_with_child_pages.gif 356 KB 2023-09-14 Takenori TAKAKI
